## osgearth 2.8.0+dfsg

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.4 FATAL_ERROR)

if(COMMAND cmake_policy)
    # Works around warnings libraries linked against that don't
    # have absolute paths (e.g. -lpthreads)
    cmake_policy(SET CMP0003 NEW)

    # Works around warnings about escaped quotes in ADD_DEFINITIONS
    # statements.
    cmake_policy(SET CMP0005 OLD)
    
    
    IF(COMMAND cmake_policy)
            IF(${CMAKE_MAJOR_VERSION} GREATER 2)
                # Qt5 qt5_use_modules usage was causing "Policy CMP0043 is not set: Ignore COMPILE_DEFINITIONS_<Config> properties." warnings
                cmake_policy(SET CMP0043 NEW)
            ENDIF()
    ENDIF()

    # disable autolinking to qtmain as we have our own main() functions (new in Qt 5.1)
    if(NOT "${CMAKE_VERSION}" VERSION_LESS 2.8.11)
        cmake_policy(SET CMP0020 OLD)
    endif(NOT "${CMAKE_VERSION}" VERSION_LESS 2.8.11)
endif(COMMAND cmake_policy)

#
# Set up CMake to use Solution Folders in VS.
#
SET_PROPERTY( GLOBAL PROPERTY USE_FOLDERS               ON )
SET_PROPERTY( GLOBAL PROPERTY PREDEFINED_TARGETS_FOLDER "CMake Targets" )

PROJECT(OSGEARTH)

SET(OSGEARTH_MAJOR_VERSION 2)
SET(OSGEARTH_MINOR_VERSION 8)
SET(OSGEARTH_PATCH_VERSION 0)
SET(OSGEARTH_SOVERSION     0)

SET(OSGEARTH_PLUGIN_PREFIX "")

IF (CYGWIN)
    SET(OSGEARTH_PLUGIN_PREFIX "cygwin_")
ENDIF()

IF(MINGW)
    SET(OSGEARTH_PLUGIN_PREFIX "mingw_")
ENDIF()


SET(OSGEARTH_VERSION ${OSGEARTH_MAJOR_VERSION}.${OSGEARTH_MINOR_VERSION}.${OSGEARTH_PATCH_VERSION})


# We want to build SONAMES shared librariess
SET(OSGEARTH_SONAMES TRUE)
SET(OPENTHREADS_SONAMES TRUE)

SET(OpenThreads_SOURCE_DIR ${OSGEARTH_SOURCE_DIR})

# Good place to look for the OSG 3rd party libs
SET(THIRD_PARTY_DIR "" CACHE PATH "OSG 3rd-party dependency folder")

# We have some custom .cmake scripts not in the official distribution.
# Maybe this can be used override existing behavior if needed?
SET(CMAKE_MODULE_PATH "${OSGEARTH_SOURCE_DIR}/CMakeModules;${CMAKE_MODULE_PATH}")

# Attempt to detect the GIT revision number.
OPTION(OSGEARTH_EMBED_GIT_SHA "Embeds the GIT SHA in the version code" OFF)
IF (OSGEARTH_EMBED_GIT_SHA)
  include(GetGitRevisionDescription)
  get_git_head_revision(GIT_REFSPEC OSGEARTH_GIT_SHA1)
ENDIF (OSGEARTH_EMBED_GIT_SHA)

# IPHONE_PORT@tom
# Trying to get CMake to generate an XCode IPhone project, current efforts are to get iphoneos sdk 3.1 working
# Added option which needs manually setting to select the IPhone SDK for building. We can only have one of the below 
# set to true. Should realy have an OSG_BUILD_PLATFORM variable that we set to our desired platform
OPTION(OSG_BUILD_PLATFORM_IPHONE "Enable IPhoneSDK Device support" OFF)
OPTION(OSG_BUILD_PLATFORM_IPHONE_SIMULATOR "Enable IPhoneSDK Simulator support" OFF)
IF(OSG_BUILD_PLATFORM_IPHONE OR OSG_BUILD_PLATFORM_IPHONE_SIMULATOR)
  
  #you need to manually set the default sdk version here
  SET (IPHONE_SDKVER "6.1")
  #the below is taken from ogre, it states the gcc stuff needs to happen before PROJECT() is called. I've no clue if we even need it
  # Force gcc <= 4.2 on iPhone
  include(CMakeForceCompiler)
  CMAKE_FORCE_C_COMPILER(llvm-gcc-4.2 GNU)
  CMAKE_FORCE_CXX_COMPILER(llvm-gcc-4.2 GNU)
  SET(GCC_THUMB_SUPPORT NO)

        #set either the device sdk or the simulator sdk. Can't find away to separate these in the same project
        IF(OSG_BUILD_PLATFORM_IPHONE)
            SET (IPHONE_DEVROOT "/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer")
            SET (IPHONE_SDKROOT "${IPHONE_DEVROOT}/SDKs/iPhoneOS${IPHONE_SDKVER}.sdk")
        ELSE()
            SET (IPHONE_DEVROOT "/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneSimulator.platform/Developer")
            SET (IPHONE_SDKROOT "${IPHONE_DEVROOT}/SDKs/iPhoneSimulator${IPHONE_SDKVER}.sdk")
        ENDIF()
ENDIF ()
# IPHONE_PORT@tom

# check if STLport is required
OPTION(USE_STLPORT "Set to ON to build OSGEARTH with stlport instead of the default STL library." OFF)
IF(USE_STLPORT)
	INCLUDE_DIRECTORIES(${STLPORT_DIR}/stlport)
	LINK_DIRECTORIES(${STLPORT_DIR}/lib)
ENDIF()

# Okay, here's the problem: On some platforms, linking against OpenThreads
# is not enough and explicit linking to the underlying thread library
# is also required (e.g. FreeBSD). But OpenThreads may be built with different
# backends (Pthreads, Sproc, Windows) so we don't know what the underlying
# thread library is because some platforms support multiple backends (e.g.
# IRIX supports Sproc and Pthreads). Linking all libraries won't work
# because the libraries may be incompatible.
# So the current solution is to attempt best guess linking and exempt certain
# cases. With IRIX, we're going to hope explicit linking to the underlying
# library is not necessary. We currently don't case for pthreads on Windows
# which might be an issue on things like Cygwin. This may need to be fixed.
FIND_PACKAGE(Threads)
IF(CMAKE_SYSTEM MATCHES IRIX)
    # Erase CMAKE_THREAD_LIBS_INIT and hope it works
    SET(CMAKE_THREAD_LIBS_INIT "" CACHE INTERNAL "")
ENDIF(CMAKE_SYSTEM MATCHES IRIX)

FIND_PACKAGE(OpenGL)

FIND_PACKAGE(CURL)
FIND_PACKAGE(GDAL)
FIND_PACKAGE(GEOS)
FIND_PACKAGE(Sqlite3)
FIND_PACKAGE(ZLIB)
FIND_PACKAGE(Poco)

FIND_PACKAGE(LevelDB)
FIND_PACKAGE(RocksDB)

FIND_PACKAGE(SilverLining QUIET)
FIND_PACKAGE(Triton QUIET)

FIND_PACKAGE(Protobuf QUIET)

# JavaScript Engines:
SET(V8_DIR "" CACHE PATH "set to base V8 install path")
FIND_PACKAGE(V8)

SET (WITH_EXTERNAL_DUKTAPE FALSE CACHE BOOL "Use bundled or system wide version of Duktape")
IF (WITH_EXTERNAL_DUKTAPE)
    FIND_PACKAGE(Duktape)
ENDIF (WITH_EXTERNAL_DUKTAPE)

OPTION(USE_V8 "Use V8 instead of Duktape if V8 is found" OFF)

FIND_PACKAGE(Qt5Core QUIET)
FIND_PACKAGE(Qt5Widgets QUIET)
FIND_PACKAGE(Qt5Gui QUIET)
FIND_PACKAGE(Qt5OpenGL QUIET)
IF ( Qt5Core_FOUND AND Qt5Widgets_FOUND AND Qt5Gui_FOUND AND Qt5OpenGL_FOUND )
    SET(QT_INCLUDES ${Qt5Widgets_INCLUDE_DIRS} ${Qt5OpenGL_INCLUDE_DIRS})
ELSE()
    FIND_PACKAGE(Qt4)
    IF (QT4_FOUND)
        INCLUDE(${QT_USE_FILE})
		SET(QT_INCLUDES ${QT_INCLUDES} ${QT_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR}${QT_QTOPENGL_INCLUDE_DIR} )
        SET(QT_ALL_LIBRARIES ${QT_LIBRARIES} ${QT_QTCORE_LIBRARY} ${QT_QTWEBKIT_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTOPENGL_LIBRARY})
    ENDIF (QT4_FOUND)
ENDIF ()

OPTION(OSGEARTH_USE_QT "Enable to use Qt (build Qt-dependent libraries, plugins and examples)" OFF)
OPTION(OSGEARTH_QT_BUILD_LEGACY_WIDGETS "Build the legacy Qt widgets" OFF)

# option to install shaders:
OPTION(OSGEARTH_INSTALL_SHADERS "Whether to deploy GLSL shaders when doing a Make INSTALL" OFF)

SET (WITH_EXTERNAL_TINYXML FALSE CACHE BOOL "Use bundled or system wide version of TinyXML")
IF (WITH_EXTERNAL_TINYXML)
    FIND_PACKAGE(TinyXML)
ENDIF (WITH_EXTERNAL_TINYXML)

IF(UNIX)
    # Not sure what this will do on Cygwin and Msys
    # Also, remember OS X X11 is a user installed option so it may not exist.
    FIND_PACKAGE(X11)
    # Some Unicies need explicit linkage to the Math library or the build fails.
    FIND_LIBRARY(MATH_LIBRARY m)
ENDIF(UNIX)

# Common global definitions
#ADD_DEFINITIONS(-D)
# Platform specific definitions


IF(WIN32)
  IF(MSVC)
        # This option is to enable the /MP switch for Visual Studio 2005 and above compilers
        OPTION(WIN32_USE_MP "Set to ON to build osgEarth with the /MP option (Visual Studio 2005 and above)." OFF)
        MARK_AS_ADVANCED(WIN32_USE_MP)
        IF(WIN32_USE_MP)
            SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP")
        ENDIF(WIN32_USE_MP)

        # turn off various warnings
        # foreach(warning 4244 4251 4267 4275 4290 4786 4305 4996)
        #     SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /wd${warning}")
        # endforeach(warning)

        # More MSVC specific compilation flags
        ADD_DEFINITIONS(-D_SCL_SECURE_NO_WARNINGS)
        ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
    ENDIF(MSVC)
ENDIF(WIN32)

########################################################################################################
##### these were settings located in SetupCommon.cmake used in Luigi builds.... find out what are useful
########################################################################################################
#luigi#SET(CMAKE_VERBOSE_MAKEFILE TRUE)
#luigi#SET(CMAKE_SKIP_RPATH TRUE)
#luigi#SET(CMAKE_SKIP_RULE_DEPENDENCY TRUE)
#luigi#IF(UNIX)
#luigi#    LIST_CONTAINS(contains "g++" ${CMAKE_CXX_COMPILER_LIST})
#luigi#    IF (contains)
#luigi#        MESSAGE(${MY_MESSAGE_DEFAULT} "${CMAKE_CURRENT_LIST_FILE}:${CMAKE_CURRENT_LIST_LINE} setting  CMAKE_CXX_COMPILER to g++")
#luigi#        SET(CMAKE_CXX_COMPILER "g++")
#luigi#        SET(CMAKE_CXX_COMPILER_LOADED 2)
#luigi#        SET(CMAKE_CXX_COMPILER_WORKS 2)
#luigi#    ENDIF (contains)
#luigi#    SET(CMAKE_CXX_FLAGS_RELEASE "-O2")
#luigi#    SET(CMAKE_CXX_FLAGS_DEBUG "-ggdb -gstabs")
#luigi#ENDIF(UNIX)
########################################################################################################

# Common to all platforms:

SET(CMAKE_DEBUG_POSTFIX  "d" CACHE STRING "add a postfix, usually d on windows")
SET(CMAKE_RELEASE_POSTFIX "" CACHE STRING "add a postfix, usually empty on windows")
SET(CMAKE_RELWITHDEBINFO_POSTFIX "rd" CACHE STRING "add a postfix, usually empty on windows")
SET(CMAKE_MINSIZEREL_POSTFIX "s" CACHE STRING "add a postfix, usually empty on windows")

FIND_PACKAGE(OSG)

# Make the headers visible to everything
INCLUDE_DIRECTORIES(
    ${OSGEARTH_SOURCE_DIR}/src
    ${OSG_INCLUDE_DIR}
)

#FIND_PACKAGE(GDAL)

################################################################################
# Create bin and lib directories if required

IF("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   FILE(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/bin ${CMAKE_BINARY_DIR}/lib)
ENDIF("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")


################################################################################
# Installation stuff


IF(UNIX AND NOT WIN32 AND NOT APPLE)
  IF(CMAKE_SIZEOF_VOID_P MATCHES "8")
      SET(LIB_POSTFIX "64" CACHE STRING "suffix for 32/64 dir placement")
      MARK_AS_ADVANCED(LIB_POSTFIX)
  ENDIF(CMAKE_SIZEOF_VOID_P MATCHES "8")
ENDIF(UNIX AND NOT WIN32 AND NOT APPLE)
IF(NOT DEFINED LIB_POSTFIX)
    SET(LIB_POSTFIX "")
ENDIF(NOT DEFINED LIB_POSTFIX)

#SET(OUTPUT_BINDIR ${PROJECT_BINARY_DIR}/bin/${CMAKE_SYSTEM_NAME})
SET(OUTPUT_BINDIR ${PROJECT_BINARY_DIR}/bin)
MAKE_DIRECTORY(${OUTPUT_BINDIR})
SET(EXECUTABLE_OUTPUT_PATH ${OUTPUT_BINDIR})

#SET(OUTPUT_LIBDIR ${PROJECT_BINARY_DIR}/lib/${CMAKE_SYSTEM_NAME})
SET(OUTPUT_LIBDIR ${PROJECT_BINARY_DIR}/lib)
MAKE_DIRECTORY(${OUTPUT_LIBDIR})
SET(LIBRARY_OUTPUT_PATH ${OUTPUT_LIBDIR})

LINK_DIRECTORIES( ${LINK_DIRECTORIES} ${OUTPUT_LIBDIR} )


#SET(INSTALL_BINDIR VIRTUALPLANETBUILDER/bin)
#SET(INSTALL_INCDIR VIRTUALPLANETBUILDER/include)
#SET(INSTALL_LIBDIR VIRTUALPLANETBUILDER/lib)
#SET(INSTALL_DOCDIR VIRTUALPLANETBUILDER/doc)

################################################################################
# User Options


# Expose CMAKE_INCLUDE_PATH and CMAKE_LIBARY_PATH to the GUI so users
# may set these values without needing to manipulate the environment.
SET(CMAKE_INCLUDE_PATH ${CMAKE_INCLUDE_PATH} CACHE STRING "You may add additional search paths here. Use ; to separate multiple paths.")
SET(CMAKE_LIBRARY_PATH ${CMAKE_LIBRARY_PATH} CACHE STRING "You may add additional search paths here. Use ; to separate multiple paths.")
# We are proposing that a new variable called CMAKE_PREFIX_PATH be introduced
# to CMake to compliment CMAKE_INCLUDE_PATH and CMAKE_LIBRARY_PATH.
# A formal feature request has been submited to CMake, Bug #4947.
# It is intended for those users who have common prefixes for their INCLUDE
# and LIBRARY locations. So if users have headers in /usr/local/include
# and libraries in /usr/local/lib, the common prefix is /usr/local.
# It should also cover the case where headers and libraries are

=== src/CMakeLists.txt ===
#the old construct SUBDIRS( was substituded by ADD_SUBDIRECTORY that is to be preferred according on CMake docs.
FOREACH( lib
         osgEarth
         osgEarthAnnotation
         osgEarthFeatures
         osgEarthSymbology
         osgEarthUtil )

    ADD_SUBDIRECTORY(${lib})
    
    SET_PROPERTY(TARGET ${lib} PROPERTY FOLDER "Core")

ENDFOREACH( lib )


FOREACH( lib
         osgEarthQt
         osgEarthSplat
         osgEarthSilverLining
         osgEarthTriton )
    add_subdirectory( ${lib} )    
ENDFOREACH( lib )

ADD_SUBDIRECTORY( osgEarthDrivers )

IF(NOT OSG_BUILD_PLATFORM_IPHONE AND NOT OSG_BUILD_PLATFORM_IPHONE_SIMULATOR AND NOT ANDROID)
    ADD_SUBDIRECTORY( applications )
ENDIF()

#IF (Qt5Widgets_FOUND OR QT4_FOUND AND NOT ANDROID AND OSGEARTH_USE_QT)
#    ADD_SUBDIRECTORY(osgEarthQt)
#    SET_PROPERTY(TARGET osgEarthQt PROPERTY FOLDER "Libs")
#ENDIF()

#IF (SILVERLINING_FOUND)
#    ADD_SUBDIRECTORY(osgEarthSilverLining)
    #SET_PROPERTY(TARGET osgEarthSilverLining PROPERTY FOLDER "Extensions")
#ENDIF()

#IF (TRITON_FOUND)
    #ADD_SUBDIRECTORY(osgEarthTriton)
    #SET_PROPERTY(TARGET osgEarthTriton PROPERTY FOLDER "Extensions")
#ENDIF()

IF(MSVC80)
  OPTION(OSGEARTH_MSVC_GENERATE_PLUGINS_AND_WRAPPERS_MANIFESTS "Generate or not manifests files under VS8 for dynamically loaded dlls" ON)
ENDIF(MSVC80)

=== src/applications/CMakeLists.txt ===
PROJECT(OSGEARTH_APPLICATIONS)

SET(OSGCORE_BUNDLED TRUE)

IF(NOT OSGCORE_BUNDLED)
	FIND_PACKAGE(OSGCORE)
	IF(OSGCORE_FOUND)
		INCLUDE(${OSGCORE_USE_FILE})
	ELSE(OSGCORE_FOUND)
		MESSAGE(ERROR "OSGCORE neeeded but NOT FOUND")
	ENDIF(OSGCORE_FOUND)
	SET(CMAKE_MODULE_PATH  ${PROJECT_SOURCE_DIR}/../../Macros)
ENDIF(NOT OSGCORE_BUNDLED)
SET(OPENSCENEGRAPH_APPLICATION_DIR ${PROJECT_SOURCE_DIR})


#OpenThreads, osg, osgDB and osgUtil are included elsewhere.
SET(TARGET_COMMON_LIBRARIES
    osgEarth
    osgEarthFeatures
    osgEarthUtil
    osgEarthSymbology
    osgEarthAnnotation
)

SET(TARGET_DEFAULT_PREFIX "application_")
SET(TARGET_DEFAULT_APPLICATION_FOLDER "Applications")

SET(TARGET_DEFAULT_LABEL_PREFIX "Tool")
SET(TARGET_DEFAULT_APPLICATION_FOLDER "Tools")
ADD_SUBDIRECTORY(osgearth_viewer)
ADD_SUBDIRECTORY(osgearth_seed)
ADD_SUBDIRECTORY(osgearth_package)
ADD_SUBDIRECTORY(osgearth_tfs)
ADD_SUBDIRECTORY(osgearth_boundarygen)
ADD_SUBDIRECTORY(osgearth_backfill)
ADD_SUBDIRECTORY(osgearth_overlayviewer)
ADD_SUBDIRECTORY(osgearth_version)
ADD_SUBDIRECTORY(osgearth_tileindex)
ADD_SUBDIRECTORY(osgearth_atlas)
ADD_SUBDIRECTORY(osgearth_conv)
ADD_SUBDIRECTORY(osgearth_3pv)

IF (Qt5Widgets_FOUND OR QT4_FOUND AND NOT ANDROID AND OSGEARTH_USE_QT AND OSGEARTH_QT_BUILD_LEGACY_WIDGETS)
    ADD_SUBDIRECTORY(osgearth_package_qt)
ENDIF()

IF(BUILD_OSGEARTH_EXAMPLES)
    SET(TARGET_DEFAULT_LABEL_PREFIX "Sample")
    SET(TARGET_DEFAULT_APPLICATION_FOLDER "Samples")
    ADD_SUBDIRECTORY(osgearth_clamp)
    ADD_SUBDIRECTORY(osgearth_manip)
    ADD_SUBDIRECTORY(osgearth_toc)
    ADD_SUBDIRECTORY(osgearth_createtile)
    ADD_SUBDIRECTORY(osgearth_elevation)
    ADD_SUBDIRECTORY(osgearth_features)
    ADD_SUBDIRECTORY(osgearth_featureinfo)
    ADD_SUBDIRECTORY(osgearth_featurefilter)
    ADD_SUBDIRECTORY(osgearth_los)
    ADD_SUBDIRECTORY(osgearth_terrainprofile)
    ADD_SUBDIRECTORY(osgearth_map)
    ADD_SUBDIRECTORY(osgearth_annotation)
    ADD_SUBDIRECTORY(osgearth_tracks)
    ADD_SUBDIRECTORY(osgearth_transform)
    ADD_SUBDIRECTORY(osgearth_horizon)
    ADD_SUBDIRECTORY(osgearth_http)

    IF(NOT ${OPENSCENEGRAPH_VERSION} VERSION_LESS "2.9.6")
        ADD_SUBDIRECTORY(osgearth_featureeditor)
    ENDIF()

    ADD_SUBDIRECTORY(osgearth_measure)
    ADD_SUBDIRECTORY(osgearth_controls)
    ADD_SUBDIRECTORY(osgearth_shadercomp)
    ADD_SUBDIRECTORY(osgearth_tilesource)
    ADD_SUBDIRECTORY(osgearth_imageoverlay)
    ADD_SUBDIRECTORY(osgearth_city)
    ADD_SUBDIRECTORY(osgearth_graticule)
    ADD_SUBDIRECTORY(osgearth_featurequery)
    ADD_SUBDIRECTORY(osgearth_occlusionculling)
    ADD_SUBDIRECTORY(osgearth_colorfilter)
    ADD_SUBDIRECTORY(osgearth_sequencecontrol)
    ADD_SUBDIRECTORY(osgearth_minimap)
    ADD_SUBDIRECTORY(osgearth_sharedlayer)
    ADD_SUBDIRECTORY(osgearth_mrt)
    ADD_SUBDIRECTORY(osgearth_fog)
    ADD_SUBDIRECTORY(osgearth_shadergen)
    ADD_SUBDIRECTORY(osgearth_clipplane)
    ADD_SUBDIRECTORY(osgearth_cache_test)
    ADD_SUBDIRECTORY(osgearth_pick)
    ADD_SUBDIRECTORY(osgearth_wfs)
    ADD_SUBDIRECTORY(osgearth_datetime)
    ADD_SUBDIRECTORY(osgearth_pagingtest)
    ADD_SUBDIRECTORY(osgearth_xfbtest)
    ADD_SUBDIRECTORY(osgearth_ephemeris)
    ADD_SUBDIRECTORY(osgearth_computerangecallback)
    ADD_SUBDIRECTORY(osgearth_splat)
    ADD_SUBDIRECTORY(osgearth_skyview)
    ADD_SUBDIRECTORY(osgearth_server)
    ADD_SUBDIRECTORY(osgearth_deformation)
    ADD_SUBDIRECTORY(osgearth_srstest)


    IF (Qt5Widgets_FOUND OR QT4_FOUND AND NOT ANDROID AND OSGEARTH_USE_QT)
        ADD_SUBDIRECTORY(osgearth_qt_simple)
        ADD_SUBDIRECTORY(osgearth_qt_windows)
    ENDIF()

    IF(SILVERLINING_FOUND)
        ADD_SUBDIRECTORY(osgearth_silverlining)
    ENDIF(SILVERLINING_FOUND)

    IF(TRITON_FOUND)
        ADD_SUBDIRECTORY(osgearth_triton)
    ENDIF(TRITON_FOUND)
ENDIF(BUILD_OSGEARTH_EXAMPLES)

=== src/osgEarthAnnotation/CMakeLists.txt ===
IF   (DYNAMIC_OSGEARTH)
    ADD_DEFINITIONS(-DOSGEARTHANNO_LIBRARY)
ELSE (DYNAMIC_OSGEARTH)
    ADD_DEFINITIONS(-DOSGEARTHANNO_LIBRARY_STATIC)
ENDIF(DYNAMIC_OSGEARTH)

set(LIB_NAME osgEarthAnnotation)

set(HEADER_PATH ${OSGEARTH_SOURCE_DIR}/include/${LIB_NAME})

set(LIB_PUBLIC_HEADERS  
    AnnotationSettings
    AnnotationEditing
    AnnotationExtension
    AnnotationData
    AnnotationNode
    AnnotationRegistry
    AnnotationUtils
	BboxDrawable
    CircleNode
    Common
    Decoration
    Draggers
    EllipseNode
    Export
    FeatureNode
    FeatureEditing
    GeoPositionNode
    GeoPositionNodeAutoScaler
    LocalGeometryNode
    HighlightDecoration
    ImageOverlay
    ImageOverlayEditor
    LabelNode
    ModelNode
    PlaceNode
    RectangleNode
    ScaleDecoration
    TrackNode
)

set(LIB_COMMON_FILES
    AnnotationEditing.cpp
    AnnotationExtension.cpp
    AnnotationSettings.cpp
    AnnotationData.cpp
    AnnotationNode.cpp
    AnnotationRegistry.cpp
    AnnotationUtils.cpp
	BboxDrawable.cpp
    CircleNode.cpp
    Decoration.cpp
    Draggers.cpp
    EllipseNode.cpp
    FeatureNode.cpp
    FeatureEditing.cpp
    GeoPositionNode.cpp
    GeoPositionNodeAutoScaler.cpp
    LocalGeometryNode.cpp
    HighlightDecoration.cpp
    ImageOverlay.cpp
    ImageOverlayEditor.cpp
    LabelNode.cpp
    RectangleNode.cpp
    ModelNode.cpp
    PlaceNode.cpp
    TrackNode.cpp
)


ADD_LIBRARY( ${LIB_NAME} ${OSGEARTH_USER_DEFINED_DYNAMIC_OR_STATIC}
    ${LIB_PUBLIC_HEADERS}  
    ${LIB_COMMON_FILES}
)



INCLUDE_DIRECTORIES(${OSG_INCLUDE_DIR} ${OSGEARTH_SOURCE_DIR} ${GDAL_INCLUDE_DIR})

IF (WIN32)
  LINK_EXTERNAL(${LIB_NAME} ${TARGET_EXTERNAL_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} ${MATH_LIBRARY})
ELSE(WIN32)
  LINK_EXTERNAL(${LIB_NAME} ${TARGET_EXTERNAL_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} ${MATH_LIBRARY})
ENDIF(WIN32)

LINK_INTERNAL(${LIB_NAME}
    osgEarth
    osgEarthFeatures
    osgEarthSymbology
)

LINK_WITH_VARIABLES(${LIB_NAME} OSG_LIBRARY OSGUTIL_LIBRARY OSGSIM_LIBRARY OSGTERRAIN_LIBRARY OSGDB_LIBRARY OSGFX_LIBRARY OSGMANIPULATOR_LIBRARY OSGVIEWER_LIBRARY OSGTEXT_LIBRARY OSGGA_LIBRARY OPENTHREADS_LIBRARY GDAL_LIBRARY)
LINK_CORELIB_DEFAULT(${LIB_NAME} ${CMAKE_THREAD_LIBS_INIT} ${MATH_LIBRARY})

INCLUDE(ModuleInstall OPTIONAL)

=== src/osgEarthDrivers/CMakeLists.txt ===
#---------------------------------------------------
# OSG CMAKE SUPPORT
# (C) by Michael Wagner, mtw@shared-reality.com 2005
# (C) Eric Wing, Luigi Calori and Robert Osfield 2006-2007
#---------------------------------------------------

PROJECT(OSGEARTH_PLUGINS_MASTER)

INCLUDE_DIRECTORIES(${OSG_INCLUDE_DIRS} )

SET(CMAKE_SHARED_MODULE_PREFIX ${OSGEARTH_PLUGIN_PREFIX})

IF(MSVC80)
  IF(NOT OSGEARTH_MSVC_GENERATE_PLUGINS_AND_WRAPPERS_MANIFESTS)
    SET(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} /MANIFEST:NO")
  ENDIF(NOT OSGEARTH_MSVC_GENERATE_PLUGINS_AND_WRAPPERS_MANIFESTS)
ENDIF(MSVC80)

SET(TARGET_DEFAULT_PREFIX "osgdb_")
SET(TARGET_DEFAULT_LABEL_PREFIX "Plugin")

#OpenThreads, osg, osgDB and osgUtil are included elsewhere.
SET(TARGET_COMMON_LIBRARIES
    osgEarth
)

# Folder name for plugins
SET(OSGEARTH_PLUGINS_FOLDER Plugins)

############################################################
#
#  NodeKit/Psudo loader plugins
#


SUBDIRLIST(PLUGIN_DIRS ${CMAKE_CURRENT_SOURCE_DIR})

FOREACH(subdir ${PLUGIN_DIRS})
    # MESSAGE("Adding driver ${subdir}")
    ADD_SUBDIRECTORY(${subdir})
ENDFOREACH()

=== src/osgEarthProcedural/CMakeLists.txt ===
IF   (DYNAMIC_OSGEARTH)
    ADD_DEFINITIONS(-DOSGEARTHPROCEDURAL_LIBRARY)
ELSE (DYNAMIC_OSGEARTH)
    ADD_DEFINITIONS(-DOSGEARTHPROCEDURAL_LIBRARY_STATIC)
ENDIF(DYNAMIC_OSGEARTH)

SET(LIB_NAME osgEarthProcedural)


set(TARGET_GLSL )

set(SHADERS_CPP "${CMAKE_CURRENT_BINARY_DIR}/AutoGenShaders.cpp")

configure_shaders(
    Shaders.cpp.in
    ${SHADERS_CPP}
    ${TARGET_GLSL} )

SET(HEADER_PATH ${OSGEARTH_SOURCE_DIR}/include/${LIB_NAME})
SET(LIB_PUBLIC_HEADERS
#   header files go here
    Common
	Export
	CoverageLegend
	Shaders
	SimplexNoise
	SplatCatalog
)

ADD_LIBRARY(${LIB_NAME} ${OSGEARTH_USER_DEFINED_DYNAMIC_OR_STATIC}
    ${LIB_PUBLIC_HEADERS}
#  .cpp files go here
	CoverageLegend.cpp
	SplatCatalog.cpp
	SimplexNoise.cpp
	${SHADERS_CPP}
)

INCLUDE_DIRECTORIES(
	${OSG_INCLUDE_DIR} 
	${OSGEARTH_SOURCE_DIR} )

LINK_EXTERNAL(
	${LIB_NAME}
	${TARGET_EXTERNAL_LIBRARIES}
	${CMAKE_THREAD_LIBS_INIT}
	${MATH_LIBRARY} )

LINK_INTERNAL(
	${LIB_NAME}
    osgEarth
)

LINK_WITH_VARIABLES(
	${LIB_NAME} 
	OSG_LIBRARY
	OSGDB_LIBRARY
	OSGTEXT_LIBRARY
	OSGUTIL_LIBRARY
	OPENTHREADS_LIBRARY )

LINK_CORELIB_DEFAULT(
	${LIB_NAME}
	${CMAKE_THREAD_LIBS_INIT}
	${MATH_LIBRARY} )

INCLUDE(ModuleInstall OPTIONAL)

=== src/osgEarthTriton/CMakeLists.txt ===
IF(TRITON_FOUND)

IF   (DYNAMIC_OSGEARTH)
    ADD_DEFINITIONS(-DOSGEARTHTRITON_LIBRARY)
ELSE (DYNAMIC_OSGEARTH)
    ADD_DEFINITIONS(-DOSGEARTHTRITON_LIBRARY_STATIC)
ENDIF(DYNAMIC_OSGEARTH)

SET(LIB_NAME osgEarthTriton)

SET(HEADER_PATH ${OSGEARTH_SOURCE_DIR}/include/${LIB_NAME})

SET(LIB_PUBLIC_HEADERS
#   header files go here
    Common
    Export
    TritonNode
    TritonOptions
    TritonContext
    TritonDrawable
    TritonAPIWrapper
    TritonCallback
)

ADD_LIBRARY(${LIB_NAME} ${OSGEARTH_USER_DEFINED_DYNAMIC_OR_STATIC}
    ${LIB_PUBLIC_HEADERS}
#  .cpp files go here
    TritonNode.cpp
    TritonContext.cpp
    TritonDrawable.cpp
    TritonAPIWrapper.cpp
)

INCLUDE_DIRECTORIES( 
    ${OSG_INCLUDE_DIR}
    ${OSGEARTH_SOURCE_DIR}
    ${TRITON_INCLUDE_DIR}
)

LINK_EXTERNAL(
	${LIB_NAME}
	${TARGET_EXTERNAL_LIBRARIES}
	${CMAKE_THREAD_LIBS_INIT} )

LINK_INTERNAL(
    ${LIB_NAME}
    osgEarth
    osgEarthUtil
)

LINK_WITH_VARIABLES(
	${LIB_NAME} 
	OSG_LIBRARY
	OSGDB_LIBRARY
	OSGTEXT_LIBRARY
	OSGUTIL_LIBRARY
	OPENTHREADS_LIBRARY
    TRITON_LIBRARY )

LINK_CORELIB_DEFAULT(
	${LIB_NAME}
	${CMAKE_THREAD_LIBS_INIT} )

# Add this project to the NodeKits solution folder
set_property( TARGET ${LIB_NAME} PROPERTY FOLDER "NodeKits" )

INCLUDE(ModuleInstall OPTIONAL)

ENDIF(TRITON_FOUND)

=== src/osgEarthUtil/CMakeLists.txt ===
IF   (DYNAMIC_OSGEARTH)
    ADD_DEFINITIONS(-DOSGEARTHUTIL_LIBRARY)
ELSE (DYNAMIC_OSGEARTH)
    ADD_DEFINITIONS(-DOSGEARTHUTIL_LIBRARY_STATIC)
ENDIF(DYNAMIC_OSGEARTH)

SET(LIB_NAME osgEarthUtil)

SET(HEADER_PATH ${OSGEARTH_SOURCE_DIR}/include/${LIB_NAME})

SET(HEADERS_ROOT
	ActivityMonitorTool
    AnnotationEvents
    AutoClipPlaneHandler	
    ArcGIS
    AtlasBuilder
    Common
    Controls
    ContourMap
    ClampCallback
    DataScanner
    EarthManipulator
	Ephemeris
    ExampleResources
    Export
    FeatureQueryTool
    Fog
    Formatter
    GeodeticGraticule
    GraticuleExtension
    GraticuleNode
    GraticuleOptions
    GraticuleTerrainEffect
    HTM
    LatLongFormatter
    LineOfSight
    LinearLineOfSight
    LODBlending
	LogarithmicDepthBuffer
    MeasureTool
    MGRSFormatter
    MGRSGraticule
    MouseCoordsTool
    ObjectLocator
    Ocean
    PolyhedralLineOfSight
    RadialLineOfSight
    RTTPicker
    Shaders
	Shadowing
	SimplexNoise
    SimplePager
    Sky
    SpatialData
    StarData
    TerrainProfile
    TileIndex
    TileIndexBuilder
    TFS
    TFSPackager
    TMS
    TMSBackFiller
    TMSPackager
    UTMGraticule
    VerticalScale
    WFS
    WMS
)
SOURCE_GROUP( Headers FILES ${HEADERS_ROOT} )


# Generate inline shaders.
set(SHADERS_CPP
    "${CMAKE_CURRENT_BINARY_DIR}/AutoGenShaders.cpp")

set(TARGET_GLSL
    ContourMap.vert.glsl
    ContourMap.frag.glsl
    Fog.vert.glsl
    Fog.frag.glsl
    Graticule.vert.glsl
    Graticule.frag.glsl
    LogDepthBuffer.vert.glsl
    LogDepthBuffer.VertOnly.vert.glsl    
    LogDepthBuffer.frag.glsl
    Shadowing.vert.glsl
    Shadowing.frag.glsl)

set(TARGET_IN
    Shaders.cpp.in)

configure_shaders(            
    Shaders.cpp.in
    ${SHADERS_CPP}
    ${TARGET_GLSL} )


SET(SOURCES_ROOT
	ActivityMonitorTool.cpp
    AnnotationEvents.cpp
    ArcGIS.cpp
    AtlasBuilder.cpp
    AutoClipPlaneHandler.cpp
    ClampCallback.cpp
    Controls.cpp
    ContourMap.cpp
    DataScanner.cpp
    EarthManipulator.cpp
	Ephemeris.cpp
    ExampleResources.cpp
    FeatureQueryTool.cpp
    Fog.cpp
    GeodeticGraticule.cpp
    GraticuleExtension.cpp
    GraticuleTerrainEffect.cpp
    GraticuleNode.cpp
    HTM.cpp
    LatLongFormatter.cpp
    LinearLineOfSight.cpp
	LogarithmicDepthBuffer.cpp
    LODBlending.cpp
    MeasureTool.cpp
    MGRSFormatter.cpp
    MGRSGraticule.cpp
    MouseCoordsTool.cpp
    ObjectLocator.cpp
    Ocean.cpp
    PolyhedralLineOfSight.cpp
    RadialLineOfSight.cpp
    RTTPicker.cpp
	Shadowing.cpp
	SimplexNoise.cpp
    SimplePager.cpp
    SpatialData.cpp
    Sky.cpp
    TerrainProfile.cpp
    TileIndex.cpp
    TileIndexBuilder.cpp
    TFS.cpp
    TFSPackager.cpp
    TMS.cpp
    TMSBackFiller.cpp
    TMSPackager.cpp
    UTMGraticule.cpp
    VerticalScale.cpp
    WFS.cpp
    WMS.cpp
    ${SHADERS_CPP}
)

SOURCE_GROUP( Sources FILES ${SOURCES_ROOT} )


SET(HEADERS_COLORFILTER
    BrightnessContrastColorFilter
    CMYKColorFilter
    GammaColorFilter
    GLSLColorFilter
    HSLColorFilter
    RGBColorFilter
    ChromaKeyColorFilter
    NightColorFilter
)
SOURCE_GROUP( Headers\\ColorFilters FILES ${HEADERS_COLORFILTER} )


SET(SOURCES_COLORFILTER
    BrightnessContrastColorFilter.cpp
    CMYKColorFilter.cpp
    GammaColorFilter.cpp
    GLSLColorFilter.cpp
    HSLColorFilter.cpp
    RGBColorFilter.cpp
    ChromaKeyColorFilter.cpp
    NightColorFilter.cpp
)
SOURCE_GROUP( Sources\\ColorFilters FILES ${SOURCES_COLORFILTER} )


SET(LIB_PUBLIC_HEADERS
    ${HEADERS_ROOT}
    ${HEADERS_COLORFILTER}
)

SET(LIB_COMMON_FILES 
    ${SOURCES_ROOT} ${SOURCES_COLORFILTER}
)

ADD_LIBRARY(${LIB_NAME} ${OSGEARTH_USER_DEFINED_DYNAMIC_OR_STATIC}
    ${LIB_PUBLIC_HEADERS}
    ${LIB_COMMON_FILES}
    ${TARGET_GLSL}
    ${TARGET_IN}
)

# Setting this tells ModuleInstall not to set source groups (since we're doing it here)
SET(USE_CUSTOM_SOURCE_GROUPS 1)



INCLUDE_DIRECTORIES(${OSG_INCLUDE_DIR} ${OSGEARTH_SOURCE_DIR} ${GDAL_INCLUDE_DIR})

IF (WIN32)
  LINK_EXTERNAL(${LIB_NAME} ${TARGET_EXTERNAL_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} ${MATH_LIBRARY})
ELSE(WIN32)
  LINK_EXTERNAL(${LIB_NAME} ${TARGET_EXTERNAL_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} ${MATH_LIBRARY})
ENDIF(WIN32)

LINK_INTERNAL(${LIB_NAME}
    osgEarth
    osgEarthFeatures
    osgEarthSymbology
    osgEarthAnnotation
)

LINK_WITH_VARIABLES(${LIB_NAME} OSG_LIBRARY OSGUTIL_LIBRARY OSGSIM_LIBRARY OSGTERRAIN_LIBRARY OSGDB_LIBRARY OSGFX_LIBRARY OSGMANIPULATOR_LIBRARY OSGVIEWER_LIBRARY OSGTEXT_LIBRARY OSGGA_LIBRARY OSGSHADOW_LIBRARY OPENTHREADS_LIBRARY)
LINK_CORELIB_DEFAULT(${LIB_NAME} ${CMAKE_THREAD_LIBS_INIT} ${MATH_LIBRARY})

INCLUDE(ModuleInstall OPTIONAL)

=== src/osgEarthDrivers/fastdxt/CMakeLists.txt ===
OPTION(ENABLE_FASTDXT "Set to ON to build optional FastDXT image compressor." OFF)
IF(ENABLE_FASTDXT)

OPTION(CURL_IS_STATIC "on if curl is a static lib " ON)
MARK_AS_ADVANCED(CURL_IS_STATIC)

IF(WIN32)
    IF(MSVC)
        SET(CMAKE_SHARED_LINKER_FLAGS_DEBUG "${CMAKE_SHARED_LINKER_FLAGS_DEBUG} /NODEFAULTLIB:MSVCRT")
    ENDIF(MSVC)
    IF(CURL_IS_STATIC)
        ADD_DEFINITIONS(-DCURL_STATICLIB)
        SET(TARGET_EXTERNAL_LIBRARIES ws2_32 winmm)
    ENDIF(CURL_IS_STATIC)
ENDIF(WIN32)

SET(TARGET_H
    dxt.h
    libdxt.h
    util.h
)

SET(TARGET_SRC
    FastDXTImageProcessor.cpp
    dxt.cpp
    util.cpp
    libdxt.cpp
    intrinsic.cpp
)

IF( CMAKE_DEBUG_POSTFIX )
    ADD_DEFINITIONS( -DOSGEARTH_DEBUG_POSTFIX=${CMAKE_DEBUG_POSTFIX} )
ENDIF()

IF( CMAKE_RELEASE_POSTFIX )
    ADD_DEFINITIONS( -DOSGEARTH_RELEASE_POSTFIX=${CMAKE_RELEASE_POSTFIX} )
ENDIF()

SETUP_PLUGIN(fastdxt)

ENDIF(ENABLE_FASTDXT)

=== src/osgEarthDrivers/noise/CMakeLists.txt ===
#
# Noise generator plugin
#

set(TARGET_SRC
	NoiseExtension.cpp
	NoiseTerrainEffect.cpp
	${SHADERS_CPP} )
	
set(LIB_PUBLIC_HEADERS
	NoiseExtension
	NoiseOptions
	NoiseTerrainEffect)
	
set(TARGET_H
	${LIB_PUBLIC_HEADERS} )

set(TARGET_COMMON_LIBRARIES ${TARGET_COMMON_LIBRARIES}
    osgEarthUtil)
	
setup_plugin(osgearth_noise)

# to install public driver includes:
set(LIB_NAME noise)

=== src/osgEarthDrivers/sky_gl/CMakeLists.txt ===
SET(TARGET_SRC 
    GLSkyDriver.cpp
    GLSkyNode.cpp
    GLSkyExtension.cpp
)
SET(TARGET_H
    GLSkyOptions
	GLSkyNode
    GLSkyShaders
)

SET(TARGET_COMMON_LIBRARIES ${TARGET_COMMON_LIBRARIES}
    osgEarthUtil
)

SETUP_PLUGIN(osgearth_sky_gl)


# to install public driver includes:
SET(LIB_NAME sky_gl)
SET(LIB_PUBLIC_HEADERS GLSkyOptions)

INCLUDE(ModuleInstallOsgEarthDriverIncludes OPTIONAL)

=== debian/changelog ===
osgearth (2.8.0+dfsg-2build1) artful; urgency=medium

  * Rebuild against new gdal ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Jul 2017 13:42:36 +0200

osgearth (2.8.0+dfsg-2) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 01 Jul 2017 18:32:37 +0200

osgearth (2.8.0+dfsg-1) unstable; urgency=medium

  * Fix spelling errors in copyright file.
  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 14:44:06 +0200

osgearth (2.8.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 15 Sep 2016 17:46:22 +0200

osgearth (2.8~rc3+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Fix 'acknowledges' typo in copyright file.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 14 Sep 2016 10:49:54 +0200

osgearth (2.8~rc2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop patches applied upstream. Refresh remaining patches.
  * Update symbols for other architectures.
  * Enable protobuf support.
  * Drop obsolete undefined-reference-to-symbol-XInitThreads.patch.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 09 Sep 2016 21:54:30 +0200

osgearth (2.8~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update Files-Excluded for osgEarth 2.8rc1.
  * Update copyright file, changes:
    - Update copyright years for Pelican Mapping & Duktape authors
    - Add license & copyright for NL Template
    - Rename MIT license shortname to Expat
  * Refresh patches.
  * Drop obsolete libminizip-dev build dependency.
  * Update openscenegraph dependencies to require version 3.4.
  * Add -DBUILD_OSGEARTH_EXAMPLES=0 to configure to not build examples.
  * Add libosgearthsplat5 package for libosgEarthSplat.
  * Update README filename in docs files.
  * Override dh_installchangelogs to install releasenotes.rst as changelog.
  * Add OSGEARTH_USE_QT CMake option to build osgEarthQt library.
  * Update Qt dependencies for Qt5 as used by OpenSceneGraph.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 06 Sep 2016 22:58:38 +0200

=== debian/control ===
Source: osgearth
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Pirmin Kalberer <pi_deb@sourcepole.ch>,
           Bas Couwenberg <sebastic@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1.1),
               cmake,
               openscenegraph-3.4,
               libopenscenegraph-3.4-dev,
               libcurl4-gnutls-dev | libcurl-ssl-dev,
               libgdal-dev (>= 1.10.1~),
               libgeos-dev,
               libexpat1-dev,
               libnoise-dev,
               libprotobuf-dev,
               libqt5opengl5-dev,
               libsqlite3-dev,
               protobuf-compiler,
               qtbase5-dev,
               zlib1g-dev,
               pkg-kde-tools,
               docbook2x,
               docbook-xsl,
               docbook-xml,
               xsltproc
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osgearth.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/osgearth.git
Homepage: http://osgearth.org/

Package: osgearth
Architecture: any
Depends: fonts-liberation,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: osgearth-data
Description: Dynamic 3D terrain rendering toolkit for OpenSceneGraph (binaries)
 osgEarth is a scalable terrain rendering toolkit for OpenSceneGraph
 (OSG), an open source, high performance, 3D graphics toolkit. Just create a
 simple XML file, point it at your imagery, elevation, and vector data, load it
 into your favorite OSG application, and go! osgEarth supports all kinds of
 data and comes with lots of examples to help you get up and running quickly
 and easily.
 .
 This package contains binaries.

Package: osgearth-data
Architecture: all
Depends: ${misc:Depends}
Description: Dynamic 3D terrain rendering toolkit for OpenSceneGraph (data)
 osgEarth is a scalable terrain rendering toolkit for OpenSceneGraph
 (OSG), an open source, high performance, 3D graphics toolkit. Just create a
 simple XML file, point it at your imagery, elevation, and vector data, load it
 into your favorite OSG application, and go! osgEarth supports all kinds of
 data and comes with lots of examples to help you get up and running quickly
 and easily.
 .
 This package contains data files.

Package: libosgearth5
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: openscenegraph-3.4
Breaks: libosgearth1 (<< 2.4.0+dfsg-4~),
        osgearth (<< 1.4-2)
Replaces: libosgearth1 (<< 2.4.0+dfsg-4~),
          osgearth (<< 1.4-2)
Description: Dynamic 3D terrain rendering toolkit for OpenSceneGraph (shared lib)
 osgEarth is a scalable terrain rendering toolkit for OpenSceneGraph
 (OSG), an open source, high performance, 3D graphics toolkit. Just create a
 simple XML file, point it at your imagery, elevation, and vector data, load it
 into your favorite OSG application, and go! osgEarth supports all kinds of
 data and comes with lots of examples to help you get up and running quickly
 and easily.
 .
 This package contains the shared library libosgEarth.

Package: libosgearthannotation5
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: openscenegraph-3.4
Description: Dynamic 3D terrain rendering toolkit for OpenSceneGraph (osgEarthAnnotation)
 osgEarth is a scalable terrain rendering toolkit for OpenSceneGraph
 (OSG), an open source, high performance, 3D graphics toolkit. Just create a
 simple XML file, point it at your imagery, elevation, and vector data, load it
 into your favorite OSG application, and go! osgEarth supports all kinds of
 data and comes with lots of examples to help you get up and running quickly
 and easily.
 .
 This package contains the shared library libosgEarthAnnotation.

Package: libosgearthfeatures5
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: openscenegraph-3.4
Description: Dynamic 3D terrain rendering toolkit for OpenSceneGraph (osgEarthFeatures)
 osgEarth is a scalable terrain rendering toolkit for OpenSceneGraph
 (OSG), an open source, high performance, 3D graphics toolkit. Just create a
 simple XML file, point it at your imagery, elevation, and vector data, load it
 into your favorite OSG application, and go! osgEarth supports all kinds of
 data and comes with lots of examples to help you get up and running quickly
 and easily.
 .
 This package contains the shared library libosgEarthFeatures.

Package: libosgearthqt5
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: openscenegraph-3.4
Description: Dynamic 3D terrain rendering toolkit for OpenSceneGraph (osgEarthQt)
 osgEarth is a scalable terrain rendering toolkit for OpenSceneGraph
 (OSG), an open source, high performance, 3D graphics toolkit. Just create a
 simple XML file, point it at your imagery, elevation, and vector data, load it
 into your favorite OSG application, and go! osgEarth supports all kinds of
 data and comes with lots of examples to help you get up and running quickly
 and easily.
 .
 This package contains the shared library libosgEarthQt.

Package: libosgearthsplat5
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: openscenegraph-3.4
Description: Dynamic 3D terrain rendering toolkit for OpenSceneGraph (osgEarthSplat)
 osgEarth is a scalable terrain rendering toolkit for OpenSceneGraph
 (OSG), an open source, high performance, 3D graphics toolkit. Just create a
 simple XML file, point it at your imagery, elevation, and vector data, load it
 into your favorite OSG application, and go! osgEarth supports all kinds of
 data and comes with lots of examples to help you get up and running quickly
 and easily.
 .
 This package contains the shared library libosgEarthSplat.

Package: libosgearthsymbology5
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: openscenegraph-3.4
Description: Dynamic 3D terrain rendering toolkit for OpenSceneGraph (osgEarthSymbology)
 osgEarth is a scalable terrain rendering toolkit for OpenSceneGraph
 (OSG), an open source, high performance, 3D graphics toolkit. Just create a
 simple XML file, point it at your imagery, elevation, and vector data, load it
 into your favorite OSG application, and go! osgEarth supports all kinds of
 data and comes with lots of examples to help you get up and running quickly
 and easily.
 .
 This package contains the shared library libosgEarthSymbology.

Package: libosgearthutil5
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: openscenegraph-3.4
Description: Dynamic 3D terrain rendering toolkit for OpenSceneGraph (osgEarthUtil)
 osgEarth is a scalable terrain rendering toolkit for OpenSceneGraph
 (OSG), an open source, high performance, 3D graphics toolkit. Just create a
 simple XML file, point it at your imagery, elevation, and vector data, load it
 into your favorite OSG application, and go! osgEarth supports all kinds of
 data and comes with lots of examples to help you get up and running quickly
 and easily.
 .
 This package contains the shared library libosgEarthUtil.

Package: openscenegraph-plugin-osgearth
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: OpenSceneGraph plugins for osgEarth
 osgEarth is a scalable terrain rendering toolkit for OpenSceneGraph
 (OSG), an open source, high performance, 3D graphics toolkit. Just create a
 simple XML file, point it at your imagery, elevation, and vector data, load it
 into your favorite OSG application, and go! osgEarth supports all kinds of
 data and comes with lots of examples to help you get up and running quickly
 and easily.
 .
 This package contains the OpenSceneGraph plugins.

Package: libosgearth-dev
Architecture: any
Section: libdevel
Depends: libosgearth5 (= ${binary:Version}),
         libosgearthannotation5 (= ${binary:Version}),
         libosgearthfeatures5 (= ${binary:Version}),
         libosgearthqt5 (= ${binary:Version}),
         libosgearthsplat5 (= ${binary:Version}),
         libosgearthsymbology5 (= ${binary:Version}),
         libosgearthutil5 (= ${binary:Version}),
         libopenscenegraph-3.4-dev,
         libgeos-dev,
         ${misc:Depends}
Replaces: osgearth-dev
Description: osgEarth development files
 osgEarth is a scalable terrain rendering toolkit for OpenSceneGraph
 (OSG), an open source, high performance, 3D graphics toolkit. Just create a
 simple XML file, point it at your imagery, elevation, and vector data, load it
 into your favorite OSG application, and go! osgEarth supports all kinds of
 data and comes with lots of examples to help you get up and running quickly
 and easily.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# CMake doesn't use hardening build flags set in CPPFLAGS
CFLAGS   += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

include /usr/share/dpkg/pkg-info.mk

UPSTREAM_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

BUILD_DATE := $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")

MANPAGES:=$(wildcard debian/man/*.*.xml)

%:
	dh $@ --with pkgkde_symbolshelper \
	      --parallel

override_dh_clean:
	dh_clean debian/man/*.1
	-$(RM) -rf build/

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build -- \
		-DBUILD_OSGEARTH_EXAMPLES=0 \
		-DCMAKE_VERBOSE_MAKEFILE=1 \
		-DCMAKE_BUILD_TYPE=Release \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DDEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH) \
		-DLIB_POSTFIX="" \
		-DOSGEARTH_USE_QT=1

override_dh_auto_build:
	# Create man pages from DocBook XML
	for x in $(MANPAGES) ; do \
	  docbook2x-man --string-param header-3="$(BUILD_DATE)" $$x ; \
	  mv `basename $$x | sed 's/.xml$$//'` `dirname $$x` ; \
	done

	dh_auto_build --builddirectory=build

override_dh_auto_install:
	dh_auto_install --builddirectory=build

	mkdir -p debian/osgearth-data/usr/share/osgearth/maps && \
	  cp tests/*.earth debian/osgearth-data/usr/share/osgearth/maps/ && \
	  cp debian/*.earth debian/osgearth-data/usr/share/osgearth/maps/ && \
	  sed --in-place -e 's!\\!/!g' -e 's!\.\./data!/usr/share/osgearth/data!g' debian/osgearth-data/usr/share/osgearth/maps/*.earth

	mkdir -p debian/osgearth-data/usr/share/osgearth/data && \
	  cp data/world.tif debian/osgearth-data/usr/share/osgearth/data/ && \
	  cp -r data/resources/ debian/osgearth-data/usr/share/osgearth/data/

	# Don't install binaries which depend on removed data files
	$(RM) debian/*/usr/bin/osgearth_3pv

override_dh_install:
	dh_install --autodest --list-missing

override_dh_installchangelogs:
	dh_installchangelogs docs/source/releasenotes.rst

override_dh_shlibdeps:
	LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):build/lib dh_shlibdeps

override_dh_makeshlibs:
	dh_makeshlibs -- -c0 -v$(UPSTREAM_VERSION)

get-orig-source:
	. debian/get-orig-source
